Get Job Status
GET
/api/v1/jobs/{job_id}
const url = 'https://api.qeychain.xyz/api/v1/jobs/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.qeychain.xyz/api/v1/jobs/exampleGet the status of an async job.
Response includes:
status: pending, processing, completed, or failedprogress: Progress percentage (0-100) if availableresult_url: Download URL when completederror_message: Error details if failed
Poll this endpoint after creating a job via POST /wallets/{address}/tax-reports/generate
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”job_id
required
Job Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Get Job Status Api V1 Jobs Job Id Get
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}